//
// Created by kikab on 04.06.2018.
//

#ifndef LOTRO_DAT_LIBRARY_DATOPERATIONRESULT_H
#define LOTRO_DAT_LIBRARY_DATOPERATIONRESULT_H

#include <string>
#include <utility>

extern "C++"
{
namespace LOTRO_DAT {
    class DatOperationResult {
    public:
        enum RESULT {
            SUCCESS = 1,
            ERROR = 0
        };

        DatOperationResult(RESULT result_, std::string msg_) : result(result_), msg(std::move(msg_)) {}

        DatOperationResult &operator=(const DatOperationResult &other) = default;

        RESULT result;
        std::string msg;
    };
}
}

#endif //LOTRO_DAT_LIBRARY_DATOPERATIONRESULT_H
